Update Entitlement Server Configuration
Updates an existing Entitlement Server configuration identified by UUID. Validates the new configuration before applying changes. Triggers vCenter license discovery job upon successful update.
The UUID of the Entitlement Server configuration to update
d4e5f6a7-b8c9-0123-def1-234567890123
{
"data": {
"items": [
{
"config": {
"UUID": "d4e5f6a7-b8c9-0123-def1-234567890123",
"url": "https://entitlement.example.com",
"userName": "entitlement-admin",
"password": "RW50aXRsZW1lbnRQYXNzd29yZA=="
}
}
]
}
}
data
Entitlement Server configuration updated successfully
{
"data": {
"items": [
{
"section": "entitlementserver",
"config": {
"url": "https://entitlement.example.com",
"userName": "entitlement-admin",
"UUID": "d4e5f6a7-b8c9-0123-def1-234567890123"
}
}
]
}
}
data
Bad request - validation failed or SSL certificate error
{
"isSuccess": false,
"message": "Request schema validation failed",
"httpStatusCode": 400
}
Configuration not found
{
"isSuccess": false,
"message": "Failed modify item: d4e5f6a7-b8c9-0123-def1-234567890123, section: entitlementserver. Config does not exists.",
"httpStatusCode": 404
}
Indicates if the operation was successful
Human-readable error message
HTTP status code
Internal server error - update failed
{
"isSuccess": false,
"message": "Unable to update Entitlement Server configuration",
"httpStatusCode": 500
}
Indicates if the operation was successful
Human-readable error message
HTTP status code
curl -X PUT -H 'Authorization: <value>' -H 'Content-Type: application/json' -d '{}' https://{api_host}/api/admin/global/config/entitlementserver/{uuid}